[Lunar-commits] CVS: moonbase/utils/uptimed/init.d uptimed,1.1,1.2
Auke Kok
sofar at lunar-linux.org
Wed Mar 31 21:03:36 GMT 2004
Update of /var/cvs/lunar/moonbase/utils/uptimed/init.d
In directory dbguin.lunar-linux.org:/tmp/cvs-serv16128/init.d
Modified Files:
uptimed
Log Message:
Making init.d script pretty, removing unneeded BUILD
Index: uptimed
===================================================================
RCS file: /var/cvs/lunar/moonbase/utils/uptimed/init.d/uptimed,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- uptimed 29 Mar 2004 18:22:51 -0000 1.1
+++ uptimed 31 Mar 2004 21:03:34 -0000 1.2
@@ -1,2 +1,21 @@
-#!/bin/sh
-/usr/bin/uptimed -b
+#!/bin/bash
+#
+# uptimed Set uptime data record
+#
+# chkconfig: 12345 90 10
+# description: uptimed is used to monitor uptime stats, it leaves a record\
+# in /var used by uprecords
+
+ARGS="-b"
+
+start () {
+ echo -n "Setting uptime record: "
+ /usr/sbin/uptimed $ARGS && echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+stop() {
+ :
+}
+
+. /lib/lsb/init-functions
+
More information about the Lunar-commits
mailing list